Bug 1201607 - Update Rules Engine documentation
Summary: Update Rules Engine documentation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: Extensions
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On: 1157998
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-13 03:31 UTC by Jason McDonald
Modified: 2019-01-23 23:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-23 23:07:53 UTC


Attachments (Terms of Use)

Description Jason McDonald 2015-03-13 03:31:32 UTC
We need to update the docs to make sure that the various recent additions to the Rules Engine are coverd (e.g. flag groups, separate hit count since last rule edit, periodic rules).

We also need to include some hints about best practices:

* Make sure that the rule won't trigger repeatedly for the same bug, by making sure that the criteria exclude the target state.  For example, if you are setting a flag, the rule criteria should include the flag not being set.

* If you want to do the same thing to two products, make one rule that matches bugs in both products rather than making two separate rules.

* Add more best practices here....

Comment 1 Jason McDonald 2015-03-13 03:33:22 UTC
Note that changes to docs won't merge forward to 4.5 cleanly, as the doc format has changed to .rst in the upstream 4.5.

Comment 3 Matt Tyson 🤬 2015-03-16 00:51:10 UTC
It would also be worthwhile to mention how bugs are processed with respect to rule order.  EG how a rule that previously didn't match can now match, even if the rule was earlier in the ordering.

Comment 4 Jason McDonald 2015-08-18 07:54:15 UTC
The docs should also be updated to explain when setting a subcomponent is and isn't mandatory. See discussion in Bug 1180018 for details.

Comment 5 Jason McDonald 2015-08-27 01:51:18 UTC
The task should also include revising the docs to describe the extra sanity checking of rules introduced in Bug 1212703.

Comment 6 Jason McDonald 2015-11-11 01:56:33 UTC
Returning this task to the backlog as I've been given some new priorities that will prevent me making progress on this for the foreseeable future.

Comment 7 Jeff Fearn 🐞 2019-01-23 23:07:53 UTC
In preparation for entering maintenance mode we are closing bugs that are unlikely to be scheduled in maintenance sprints.


Note You need to log in before you can comment on or make changes to this bug.